package com.engine.organization.service;

import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public interface GroupService {
    /**
     * 新增、编辑表单
     *
     * @param params
     * @return
     */
    Map<String, Object> getGroupFormField(Map<String, Object> params);

    /**
     * 更新
     *
     * @param params
     * @return
     */
    boolean updateGroup(Map<String, Object> params);

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    Map<String, Object> getHasRight();

    /**
     * 获取列表tabs
     *
     * @return
     */
    Map<String, Object> getTabInfo();
}
